package electrosphere.server.region;

import java.util.List;

import org.joml.Vector3d;

import electrosphere.entity.Entity;

public interface Region {
    
    public static enum RegionType {
        REGION_TYPE_CUBOID,
    }

    public Vector3d getPosition();

    public void setPosition(Vector3d position);

    public RegionType getRegionType();

    public List<Entity> getContainedEntities();

}
